# App pick

A decision block that lets the user choose an app package.

The fiber will pause until the user has chosen an app package, cancelled the dialog or the timeout expired.

## Input arguments

- Uninstalled — whether to include uninstalled packages which still has their data remaining.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Package — variable to assign the package name of the chosen app.